Magick++: Magick::ChannelMoments Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::ChannelMoments Class Reference

`#include <Statistic.h>`

## Public Member Functions
| ChannelMoments (void)
| ChannelMoments (const ChannelMoments &channelMoments_)
| ~ChannelMoments (void)
double | centroidX (void) const
double | centroidY (void) const
PixelChannel | channel (void) const
double | ellipseAxisX (void) const
double | ellipseAxisY (void) const
double | ellipseAngle (void) const
double | ellipseEccentricity (void) const
double | ellipseIntensity (void) const
double | huInvariants (const size_t index_) const
bool | isValid () const
| ChannelMoments (const PixelChannel channel_, const MagickCore::ChannelMoments *channelMoments_)

## Detailed Description

Definition at line 18 of file Statistic.h.

## Constructor & Destructor Documentation

## ◆ ChannelMoments() [1/3]

Magick::ChannelMoments::ChannelMoments | ( | void |  | ) |

Definition at line 18 of file Statistic.cpp.

## ◆ ChannelMoments() [2/3]

Magick::ChannelMoments::ChannelMoments | ( | const ChannelMoments & | channelMoments_ | ) |

Definition at line 31 of file Statistic.cpp.

## ◆ ~ChannelMoments()

Magick::ChannelMoments::~ChannelMoments | ( | void |  | ) |

Definition at line 44 of file Statistic.cpp.

## ◆ ChannelMoments() [3/3]

Magick::ChannelMoments::ChannelMoments | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelMoments * | channelMoments_
| ) |  |

Definition at line 101 of file Statistic.cpp.

## Member Function Documentation

## ◆ centroidX()

double Magick::ChannelMoments::centroidX | ( | void |  | ) | const

Definition at line 48 of file Statistic.cpp.

## ◆ centroidY()

double Magick::ChannelMoments::centroidY | ( | void |  | ) | const

Definition at line 53 of file Statistic.cpp.

## ◆ channel()

Magick::PixelChannel Magick::ChannelMoments::channel | ( | void |  | ) | const

Definition at line 58 of file Statistic.cpp.

## ◆ ellipseAngle()

double Magick::ChannelMoments::ellipseAngle | ( | void |  | ) | const

Definition at line 73 of file Statistic.cpp.

## ◆ ellipseAxisX()

double Magick::ChannelMoments::ellipseAxisX | ( | void |  | ) | const

Definition at line 63 of file Statistic.cpp.

## ◆ ellipseAxisY()

double Magick::ChannelMoments::ellipseAxisY | ( | void |  | ) | const

Definition at line 68 of file Statistic.cpp.

## ◆ ellipseEccentricity()

double Magick::ChannelMoments::ellipseEccentricity | ( | void |  | ) | const

Definition at line 78 of file Statistic.cpp.

## ◆ ellipseIntensity()

double Magick::ChannelMoments::ellipseIntensity | ( | void |  | ) | const

Definition at line 83 of file Statistic.cpp.

## ◆ huInvariants()

double Magick::ChannelMoments::huInvariants | ( | const size_t | index_ | ) | const

Definition at line 88 of file Statistic.cpp.

## ◆ isValid()

bool Magick::ChannelMoments::isValid | ( | void |  | ) | const

Definition at line 96 of file Statistic.cpp.

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp